# Get Endpoint - GetSynchronizedItems

Returns all items that are synchronized.

# HTTP Request

One of the following requests should be made:

GET /odata/syncitems
GET /odata/syncitems/$count

The endpoint supports the following OData query parameters: $select, $expand

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 Returned if the information about the items could be retrieved successfully array SyncItemEntity
500 Returned if an error occurred while fetching information about the items.

# Example

# Request

The following is an example of how to call the endpoint:

GET /odata/syncitems?repository=repo1

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "@odata.context": "https://elosyncurl/odata/$metadata#SyncItems",
    "value": [
        {
            "id": "...",
            "systemId": "...",
            "systemItemId": "..."
            // ... more
        },
        // ... more
    ],
    "@odata.nextLink": "link for next page of items"
}
Last updated: May 15, 2025 at 6:02 PM